package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 * class FaktorEvaluasi
 * 
 * @author Generator
 */
@Entity
@Table(name = "sdm_FaktorEvaluasi_M")
public class FaktorEvaluasi extends BaseMaster {

	@Column(name = "Profile", nullable = false, columnDefinition = "text")
	@Caption(value = "Profile")
	private String profile;

	@Column(name = "Nilai", nullable = false, columnDefinition = "text")
	@Caption(value = "Nilai")
	private String nilai;

	@Column(name = "Deskripsi", nullable = false, columnDefinition = "text")
	@Caption(value = "Deskripsi")
	private String deskripsi;

	@Column(name = "Faktor", nullable = false, columnDefinition = "text")
	@Caption(value = "Faktor")
	private String faktor;

	public String getProfile() {
		return profile;
	}

	public void setProfile(String profile) {
		this.profile = profile;
	}

	public String getNilai() {
		return nilai;
	}

	public void setNilai(String nilai) {
		this.nilai = nilai;
	}

	public String getDeskripsi() {
		return deskripsi;
	}

	public void setDeskripsi(String deskripsi) {
		this.deskripsi = deskripsi;
	}

	public String getFaktor() {
		return faktor;
	}

	public void setFaktor(String faktor) {
		this.faktor = faktor;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "public.sdm_FaktorEvaluasi_T_id_seq")
	@javax.persistence.SequenceGenerator(name = "public.sdm_FaktorEvaluasi_T_id_seq", sequenceName = "public.sdm_FaktorEvaluasi_T_id_seq", allocationSize = 1)
	@Column(name = "id")
	protected Integer id;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

}